Package org.silverpeas.mobile.shared.dto.almanach

## Enum PriorityDTO

- java.lang.Object
- - java.lang.Enum<PriorityDTO>
  - - org.silverpeas.mobile.shared.dto.almanach.PriorityDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<PriorityDTO>`

      public enum PriorityDTO
      extends Enum<PriorityDTO>
      implements Serializable

  Author:
    svu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HIGH` |
    `NORMAL` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PriorityDTO` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PriorityDTO[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final PriorityDTO NORMAL

    - #### HIGH

          public static final PriorityDTO HIGH

  - ### Method Detail

    - #### values

          public static PriorityDTO[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PriorityDTO c : PriorityDTO.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PriorityDTO valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null